Bug 194134 - ehci-hcd not working with usb storage devices on VIA / FC5
ehci-hcd not working with usb storage devices on VIA / FC5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 18:14 EDT by Ian MacArthur
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 17:56:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian MacArthur 2006-06-05 18:14:40 EDT
Description of problem:

USB 2 pendrive and external dvd-burner fail to mount on VIA box running fc5 -
with kernel 2.6.16-1.2122_FC5. Similar results under 2.6.16-1.2111_FC5.

Devices work fine on other boxes (OSX 10.4.6, MDK 2005-LE, winXP.)
Used to work on this platform under MDK-2005-LE.

dmesg reports a lot of this:

usb 4-4: new high speed USB device using ehci_hcd and address 4
usb 4-4: device not accepting address 4, error -110
usb 4-4: new high speed USB device using ehci_hcd and address 5
usb 4-4: device not accepting address 5, error -110

...etc.

Note: This is probably a duplicate, as a quick google throws similar reports,
but I can't find a specific reference in bugzilla. Probably becuase I don't know
where to look!


Version-Release number of selected component (if applicable):


How reproducible:

Every time.

rmmod ehci-hcd  allows the devices to mount under uhci-hcd, albeit at full
rather than high speed. High speed would be nice...

Steps to Reproduce:
1. Plug in device with kernel in normal boot config
2. Check dmesg

  
Actual results:


Expected results:


Additional info:
Comment 1 Ian MacArthur 2006-06-08 14:18:53 EDT
The target board in question is a Mini-ITX VIA EPIA TC10000 with a C3 E-series
CPU. Chipset is basically a Via VT8235 Southbridge and a CLE266 Northbridge.
----------------
/proc/bus/usb/devices


T:  Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.16-1.2122_FC5 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:10.3
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=256ms

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.16-1.2122_FC5 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:10.2
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.16-1.2122_FC5 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:10.1
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc= 93/900 us (10%), #Int=  1, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.16-1.2122_FC5 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:10.0
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=045e ProdID=00b8 Rev= 3.00
S:  Manufacturer=Microsoft
S:  Product=Microsoft Optical Mouse by Starck
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=10ms



--------------
PCI

PCI devices found:
  Bus  0, device   0, function  0:
    Class 0600: PCI device 1106:3123 (rev 0).
      Master Capable.  Latency=8.  
      Prefetchable 32 bit memory at 0xd0000000 [0xd7ffffff].
  Bus  0, device   1, function  0:
    Class 0604: PCI device 1106:b091 (rev 0).
      Master Capable.  No bursts.  Min Gnt=12.
  Bus  0, device  16, function  0:
    Class 0c03: PCI device 1106:3038 (rev 128).
      IRQ 12.
      Master Capable.  Latency=32.  
      I/O at 0xd000 [0xd01f].
  Bus  0, device  16, function  1:
    Class 0c03: PCI device 1106:3038 (rev 128).
      IRQ 12.
      Master Capable.  Latency=32.  
      I/O at 0xd400 [0xd41f].
  Bus  0, device  16, function  2:
    Class 0c03: PCI device 1106:3038 (rev 128).
      IRQ 5.
      Master Capable.  Latency=32.  
      I/O at 0xd800 [0xd81f].
  Bus  0, device  16, function  3:
    Class 0c03: PCI device 1106:3104 (rev 130).
      IRQ 6.
      Master Capable.  Latency=32.  
      Non-prefetchable 32 bit memory at 0xde000000 [0xde0000ff].
  Bus  0, device  17, function  0:
    Class 0601: PCI device 1106:3177 (rev 0).
  Bus  0, device  17, function  1:
    Class 0101: PCI device 1106:0571 (rev 6).
      IRQ 12.
      Master Capable.  Latency=32.  
      I/O at 0xdc00 [0xdc0f].
  Bus  0, device  17, function  5:
    Class 0401: PCI device 1106:3059 (rev 80).
      IRQ 5.
      I/O at 0xe000 [0xe0ff].
  Bus  0, device  18, function  0:
    Class 0200: PCI device 1106:3065 (rev 116).
      IRQ 12.
      Master Capable.  Latency=32.  Min Gnt=3.Max Lat=8.
      I/O at 0xe800 [0xe8ff].
      Non-prefetchable 32 bit memory at 0xde001000 [0xde0010ff].
  Bus  1, device   0, function  0:
    Class 0300: PCI device 1106:3122 (rev 3).
      IRQ 12.
      Master Capable.  Latency=32.  Min Gnt=2.
      Prefetchable 32 bit memory at 0xd8000000 [0xdbffffff].
      Non-prefetchable 32 bit memory at 0xdc000000 [0xdcffffff].


-------------------------
dmesg


Linux version 2.6.16-1.2122_FC5 (bhcompile@hs20-bc1-3.build.redhat.com) (gcc
version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 Sun May 21 15:01:01 EDT 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001dff0000 (usable)
 BIOS-e820: 000000001dff0000 - 000000001dff3000 (ACPI NVS)
 BIOS-e820: 000000001dff3000 - 000000001e000000 (ACPI data)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
479MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 122864
  DMA zone: 4096 pages, LIFO batch:0
  DMA32 zone: 0 pages, LIFO batch:0
  Normal zone: 118768 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:0
DMI 2.2 present.
ACPI: RSDP (v000 VT9174                                ) @ 0x000f6380
ACPI: RSDT (v001 VT9174 AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1dff3000
ACPI: FADT (v001 VT9174 AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1dff3040
ACPI: DSDT (v001 VT9174 AWRDACPI 0x00001000 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x408
Allocating PCI resources starting at 20000000 (gap: 1e000000:e1ff0000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/ rhgb quiet
No local APIC present or hardware disabled
mapped APIC to ffffd000 (013c4000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c03d5000 soft=c03d4000
PID hash table entries: 2048 (order: 11, 32768 bytes)
Detected 997.293 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 482332k/491456k available (1918k kernel code, 8488k reserved, 775k data,
176k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 1997.57 BogoMIPS (lpj=3995157)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0380b03d 00000000 00000000 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (32 bytes/line), D cache 64K (32 bytes/line)
CPU: L2 Cache: 64K (32 bytes/line)
CPU: After all inits, caps: 0380b13d 00000000 00000000 00000000 00000000
0000003d 00000000
CPU: Centaur VIA Nehemiah stepping 05
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 1220)
checking if image is initramfs... it is
Freeing initrd memory: 898k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfad30, last bus=1
PCI: Using configuration type 1
ACPI: Subsystem revision 20060127
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 0400-047f claimed by vt8235 PM
PCI quirk: region 0500-050f claimed by vt8235 SMB
Boot video device is 0000:01:00.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 1 4 5 6 7 *12)
ACPI: PCI Interrupt Link [LNKB] (IRQs 1 4 5 6 7 *12)
ACPI: PCI Interrupt Link [LNKC] (IRQs 1 4 *5 6 7 12)
ACPI: PCI Interrupt Link [LNKD] (IRQs 1 4 5 6 7 12) *9
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 12 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:02: ioport range 0x400-0x47f could not be reserved
pnp: 00:02: ioport range 0x500-0x50f has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: dc000000-ddffffff
  PREFETCH window: d8000000-dbffffff
PCI: Setting latency timer of device 0000:00:01.0 to 64
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1149789781.908:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 43645308A4C9E5AD
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: CPU0 (power states: C1[C1] C2[C2])
ACPI: Processor [CPU0] (supports 2 throttling states)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12ac
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA CLE266 chipset
agpgart: AGP aperture is 128M @ 0xd0000000
PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
PNP: PS/2 controller doesn't have AUX irq; using default 12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
00:08: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:09: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:11.1
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 12
PCI: setting IRQ 12 as level-triggered
ACPI: PCI Interrupt 0000:00:11.1[A] -> Link [LNKA] -> GSI 12 (level, low) -> IRQ 12
PCI: VIA IRQ fixup for 0000:00:11.1, from 255 to 12
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt8235 (rev 00) IDE UDMA133 controller on pci0000:00:11.1
    ide0: BM-DMA at 0xdc00-0xdc07, BIOS settings: hda:DMA, hdb:DMA
Probing IDE interface ide0...
hda: HDS728080PLAT20, ATA DISK drive
hdb: _NEC DVD+/-RW ND-6500A, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hda: max request size: 512KiB
hda: 160836480 sectors (82348 MB) w/1719KiB Cache, CHS=16383/255/63, UDMA(133)
hda: cache flushes supported
 hda: hda1 hda2 < hda5 hda6 hda7 >
hdb: ATAPI 24X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 6, 262144 bytes)
TCP bind hash table entries: 16384 (order: 6, 327680 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI Shortcut mode
ACPI wakeup devices: 
PCI0 USB0 USB1 USB2 USB3 USB4 USB5 USB6 LAN0 AC97 MC97 UAR1 
ACPI: (supports S0 S1 S3 S4 S5)
Freeing unused kernel memory: 176k freed
Write protecting the kernel read-only data: 358k
input: AT Translated Set 2 keyboard as /class/input/input0
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 7 roles, 1222 types, 148 bools, 1 sens, 256 cats
security:  56 classes, 40613 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda6, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
via-rhine.c:v1.10-LK1.2.0-2.6 June-10-2004 Written by Donald Becker
ACPI: PCI Interrupt 0000:00:12.0[A] -> Link [LNKA] -> GSI 12 (level, low) -> IRQ 12
eth0: VIA Rhine II at 0xde001000, 00:40:63:d5:76:2a, IRQ 12.
eth0: MII PHY found at address 1, status 0x7869 advertising 05e1 Link 45e1.
NET: Registered protocol family 23
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:00:11.5[C] -> Link [LNKC] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:11.5 to 64
USB Universal Host Controller Interface driver v2.3
ACPI: PCI Interrupt 0000:00:10.0[A] -> Link [LNKA] -> GSI 12 (level, low) -> IRQ 12
uhci_hcd 0000:00:10.0: UHCI Host Controller
uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:10.0: irq 12, io base 0x0000d000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 12
ACPI: PCI Interrupt 0000:00:10.1[B] -> Link [LNKB] -> GSI 12 (level, low) -> IRQ 12
uhci_hcd 0000:00:10.1: UHCI Host Controller
uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:10.1: irq 12, io base 0x0000d400
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:10.2[C] -> Link [LNKC] -> GSI 5 (level, low) -> IRQ 5
uhci_hcd 0000:00:10.2: UHCI Host Controller
uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:10.2: irq 5, io base 0x0000d800
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 6
PCI: setting IRQ 6 as level-triggered
ACPI: PCI Interrupt 0000:00:10.3[D] -> Link [LNKD] -> GSI 6 (level, low) -> IRQ 6
ehci_hcd 0000:00:10.3: EHCI Host Controller
ehci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 4
ehci_hcd 0000:00:10.3: irq 6, io mem 0xde000000
ehci_hcd 0000:00:10.3: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
irq 9: nobody cared (try booting with the "irqpoll" option)
 [<c0139893>] __report_bad_irq+0x2b/0x69     [<c0139a54>] note_interrupt+0x183/0x1af
 [<c01dfdd9>] acpi_irq+0xb/0x14     [<c01393fa>] handle_IRQ_event+0x23/0x4c
 [<c01394bd>] __do_IRQ+0x9a/0xcd     [<c0104c2e>] do_IRQ+0x5c/0x77
 =======================
 [<c01035b6>] common_interrupt+0x1a/0x20     [<c011f831>] __do_softirq+0x2c/0x7f
 [<c0104c81>] do_softirq+0x38/0x3f     =======================
 [<c0104c40>] do_IRQ+0x6e/0x77
 [<c01035b6>] common_interrupt+0x1a/0x20     [<c02dd4c2>]
_spin_unlock_irqrestore+0xb/0xc
 [<c0122b00>] __mod_timer+0x8a/0x92     [<c025dab0>] usb_start_wait_urb+0xaa/0xf7
 [<c025d686>] timeout_kill+0x0/0x5     [<c025dd3b>] usb_control_msg+0xd6/0xf1
 [<c025e4f0>] usb_get_descriptor+0x72/0x9c     [<c025e7b4>]
usb_get_device_descriptor+0x41/0x72
 [<c025c4ec>] usb_add_hcd+0x428/0x530     [<c0263972>] usb_hcd_pci_probe+0x1e5/0x27b
 [<c022649c>] __driver_attach+0x0/0x8b     [<c01cbf4b>] pci_device_probe+0x36/0x57
 [<c02263e9>] driver_probe_device+0x42/0x8b     [<c02264ff>]
__driver_attach+0x63/0x8b
 [<c0225ee5>] bus_for_each_dev+0x33/0x55     [<c022634d>] driver_attach+0x11/0x13
 [<c022649c>] __driver_attach+0x0/0x8b     [<c0225c06>] bus_add_driver+0x64/0xfd
 [<c01cc0da>] __pci_register_driver+0x7f/0xa1     [<c013146a>]
sys_init_module+0x1382/0x1514
 [<c02dd493>] _read_unlock_irq+0x5/0x7     [<c013a33a>] find_get_page+0x39/0x3f
 [<c013c775>] filemap_nopage+0x165/0x2ec     [<c0144a78>]
__handle_mm_fault+0x41d/0x7c3
 [<c02de17a>] do_page_fault+0x189/0x51d     [<c0102be9>] syscall_call+0x7/0xb
handlers:
[<c01dfdce>] (acpi_irq+0x0/0x14)
Disabling IRQ #9
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 6 ports detected
usb 1-2: new low speed USB device using uhci_hcd and address 2
usb 1-2: configuration #1 chosen from 1 choice
input: Microsoft Microsoft Optical Mouse by Starck as /class/input/input1
input: USB HID v1.10 Mouse [Microsoft Microsoft Optical Mouse by Starck] on
usb-0000:00:10.0-2
Non-volatile memory driver v1.2
Floppy drive(s): fd0 is unknown type 15 (usb?), fd1 is unknown type 15 (usb?)
floppy0: Unable to grab IRQ6 for the floppy driver
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
lp0: using parport0 (interrupt-driven).
lp0: console ready
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ibm_acpi: ec object not found
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
EXT3 FS on hda6, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda7, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda7, type ext3), uses xattr
Adding 497972k swap on /dev/hda5.  Priority:-1 extents:1 across:497972k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.8
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.7
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
eth0: no IPv6 routers present
[drm] Initialized drm 1.0.1 20051102
ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA] -> GSI 12 (level, low) -> IRQ 12
[drm] Initialized via 2.7.4 20051116 on minor 0
mtrr: 0xd8000000,0x2000000 overlaps existing 0xd8000000,0x800000
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
mtrr: 0xd8000000,0x2000000 overlaps existing 0xd8000000,0x800000
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 4x mode
audit(1149790215.572:2): avc:  denied  { search } for  pid=2717 comm="bluez-pin"
name="ian" dev=hda7 ino=32769 scontext=user_u:system_r:bluetooth_helper_t:s0
tcontext=system_u:object_r:file_t:s0 tclass=dir
audit(1149790215.572:3): avc:  denied  { read } for  pid=2717 comm="bluez-pin"
name=".Xauthority" dev=hda7 ino=32799
scontext=user_u:system_r:bluetooth_helper_t:s0
tcontext=system_u:object_r:file_t:s0 tclass=file
audit(1149790215.576:4): avc:  denied  { getattr } for  pid=2717
comm="bluez-pin" name=".Xauthority" dev=hda7 ino=32799
scontext=user_u:system_r:bluetooth_helper_t:s0
tcontext=system_u:object_r:file_t:s0 tclass=file
Comment 2 Ian MacArthur 2006-06-08 15:13:41 EDT
Argh! May be my bad!

I was just working through the bug again, and *now* it seems the system does
work if I set "irqpoll" at boot.

I'm pretty certain when I tried this before it did not help... but maybe I can't
spell "irqpoll" or something, because it all appears to be working now.

Sorry for the noise... Maybe someone else will find this and profit from my
incompetence...

Comment 3 Dave Jones 2006-10-16 20:27:26 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Ian MacArthur 2006-10-20 14:09:35 EDT
Re-testing with the 2.6.18 kernel as suggested in Dave Jones' comment above:
ehci-hcd now works OK *without* asserting irqpoll at boot time.
So I guess that's fixed, then.

Note You need to log in before you can comment on or make changes to this bug.